import Axios from 'axios';
import { IUser } from '../types';
import _ from 'lodash';

// Try not to export services at root level.
// i.e. export const friends = [];
export const friends = {
    list: [] as IUser[],
};

Axios.get('/friends.json').then( (resp) => {
    friends.list = resp.data;
});

export const MY_USER_NAME = 'INSERT NAME HERE';
export const MY_USER_ID = '0';

export function getUserNameById(id: string): string{
    if(id === MY_USER_ID){
        return MY_USER_NAME;
    }
    return _.find(friends.list, (x) => x.id === id)!.name;
}